Skip to content

List of Dictionaries

Retrieves the list of all dictionaries available in the system, with a description and record count.

URL

Method: GET

  • Production: https://registry.wallet.kvell.group/reg2/dictionary

Request example

GET https://registry.wallet.kvell.group/reg2/dictionary

Request headers

Name Type Required Description
X-Api-Key string Yes Unique identifier (UUID)

Response

Response example

[
  {
    "name": "CarModels",
    "description": "Модели автомобилей"
  },
  {
    "name": "Banks",
    "description": "БИК или наименование банка получателя"
  },
  {
    "name": "FsspDepartments",
    "description": "Отделы судебных приставов"
  },
  {
    "name": "FsspPositions",
    "description": "Должности в ФССП для обращений"
  },
  {
    "name": "CarBrands",
    "description": "Марки автомобилей"
  },
  {
    "name": "CurrencyRates",
    "description": "Курсы валют"
  },
  {
    "name": "Currency",
    "description": "Валюта"
  },
  {
    "name": "Region_incomes",
    "description": "Доход по регионам РФ"
  },
  {
    "name": "Regions",
    "description": "Регионы РФ"
  },
  {
    "name": "OperationTypes",
    "description": "Типы операций по займам"
  },
  {
    "name": "regions",
    "description": "regions"
  },
  {
    "name": "lkLoanCallStatus",
    "description": "lkLoanCallStatus"
  },
  {
    "name": "lkEmployeeCallStatus",
    "description": "lkEmployeeCallStatus"
  },
  {
    "name": "departmentSignOnLending",
    "description": "departmentSignOnLending"
  },
  {
    "name": "countryBirth",
    "description": "Страна рождения"
  },
  {
    "name": "seniority",
    "description": "Стаж"
  },
  {
    "name": "intendedNatureBusinessRelationship",
    "description": "Деловые отношения"
  },
  {
    "name": "financialSituation",
    "description": "Финансовое положение"
  },
  {
    "name": "goalFinancialAndEconomicActivity",
    "description": "Тип деятельности"
  },
  {
    "name": "businessReputation",
    "description": "Репутация"
  },
  {
    "name": "statusFamilyPublic",
    "description": "Степень родства"
  },
  {
    "name": "typePDL",
    "description": "ПДЛ"
  },
  {
    "name": "typeBeneficiaryContact",
    "description": "Тип контакта бенефициара"
  },
  {
    "name": "incomeSource",
    "description": "Тип дохода"
  },
  {
    "name": "recipientType",
    "description": "Тип поступлений"
  },
  {
    "name": "kidsNumber",
    "description": "Кол-во детей"
  },
  {
    "name": "monetaryObligations",
    "description": "Облигации"
  },
  {
    "name": "birthCountries",
    "description": "Место рождения"
  },
  {
    "name": "employmentType",
    "description": "Тип трудоустройства"
  },
  {
    "name": "beneficiaryPublics",
    "description": "Бенефициары"
  },
  {
    "name": "otherIncomeSources",
    "description": "Иные источники дохода"
  },
  {
    "name": "periodicity",
    "description": "Периодичность"
  },
  {
    "name": "loanPurpose",
    "description": "Цель кредита"
  },
  {
    "name": "legalEntities",
    "description": "Тип организации"
  },
  {
    "name": "familyStatuses",
    "description": "Семейное положение"
  },
  {
    "name": "genders",
    "description": "Пол"
  },
  {
    "name": "frequencyPayments",
    "description": "Частота платежей"
  },
  {
    "name": "employmentTypes",
    "description": "Тип трудоустройства"
  },
  {
    "name": "education",
    "description": "Образование"
  },
  {
    "name": "countriesBirth",
    "description": "Страна рождения"
  },
  {
    "name": "loanCallStatus",
    "description": "Статус заявки"
  },
  {
    "name": "employeeCallStatus",
    "description": "Статус сотрудника"
  }
]

Response parameters

Name Type Description
name string Dictionary string code
description string Dictionary description (returned in Russian by the API)